future import errors - hello world example

Issue #129 new
Anonymous created an issue

Just trying to get the hello world example to run with Pyglet 1.3.0b1 on a fresh Python 3.4 install (32bit) under Windows 7 (64bit) but it produces the following error:

C:\Python34>python C:\pyglet-test\hello.py Failed to get python-future Traceback (most recent call last): File "C:\pyglet-test\pyglet__init__.py", line 44, in <module> import future ImportError: No module named 'future'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "C:\pyglet-test\hello.py", line 1, in <module> import pyglet File "C:\pyglet-test\pyglet__init__.py", line 56, in <module> import future ImportError: No module named 'future'

I did not run 2to3 this time.

Comments (5)

  1. ccanepa

    I can confirm the issue when installing from pyglet-1.3.0b1.tar.gz downloaded from pypi, using setup.py install

    The problem is that pyglet/pyglet/extlibs/future is not present into the tar.gz

    Building locally the tar.gz with py 27 and py 36 shows the same.

    I think setup.py will need changes to include extlibs/future , but I dont see an easy way to do so

  2. ccanepa

    FYI this is still an issue with pyglet 1.3.0rc1

    • install from wheel will work because it adds future to the dependencies

    • install from tar.gz will not give a working pyglet because it does not declare future as dependency nor it is included in the tar.gz

    • the readme still tells that install from source with 'setup.py install' or by PYTHONPATH will work, not mentioning anything about future

  3. Log in to comment